%define upstream_name    Math-Random-ISAAC-XS
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    C implementation of the ISAAC PRNG algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Math::Random::ISAAC)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
See the Math::Random::ISAAC manpage for the full description.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.4.0-13.mga6
+ Revision: 1029774
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.4.0-12.mga6
+ Revision: 957751
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.4.0-11.mga6
+ Revision: 842681
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-10.mga5
+ Revision: 745140
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.4.0-9.mga5
+ Revision: 735692
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-8.mga5
+ Revision: 685377
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.4.0-7.mga5
+ Revision: 631451
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-6.mga4
+ Revision: 524416
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.4.0-5.mga4
+ Revision: 430893
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-4.mga3
+ Revision: 369665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.4.0-3.mga3
+ Revision: 250948
- rebuild for perl 5.16

* Tue Apr 03 2012 pterjan <pterjan> 1.4.0-2.mga2
+ Revision: 228031
- Rebuild due to missing x86_64 package

  + jquelin <jquelin>
    - adding missing buildrequires:
    - imported package perl-Math-Random-ISAAC-XS


* Sat Aug 13 2011 cpan2dist 1.004-1mga
- initial mageia release, generated with cpan2dist
